package com.atguigu.daijia.driver.service.impl;

import com.atguigu.daijia.common.result.Result;
import com.atguigu.daijia.driver.client.CosFeignClient;
import com.atguigu.daijia.driver.service.FileService;
import com.atguigu.daijia.model.vo.driver.CosUploadVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

@Slf4j
@Service
public class FileServiceImpl implements FileService {

    @Autowired
    private CosFeignClient cosFeignClient;

    /**
     * 上传文件
     *
     * @param file 文件
     * @return CosUploadVo
     */
    @Override
    public CosUploadVo upload(MultipartFile file) {
        Result<CosUploadVo> voResult = cosFeignClient.upload(file, "auth");
        return voResult.getData();
    }
}

